Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.examination.domain
Class FollowingExam

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.examination.domain.Exam
              org.optaplanner.examples.examination.domain.FollowingExam

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class FollowingExam

extends Exam

See Also:
  Serialized Form

Field Summary
`protected LeadingExam` | `leadingExam`
`protected Period` | `period`

Fields inherited from class org.optaplanner.examples.examination.domain.Exam
`room, topic`

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`FollowingExam()`

Method Summary
`LeadingExam` | `getLeadingExam()`
`Period` | `getPeriod()`
`void` | `setLeadingExam(LeadingExam leadingExam)`
`void` | `setPeriod(Period period)`

Methods inherited from class org.optaplanner.examples.examination.domain.Exam
`getDayIndex, getLabel, getPeriodDuration, getPeriodIndex, getRoom, getTopic, getTopicDuration, getTopicStudentSize, isPeriodFrontLoadLast, isTopicFrontLoadLarge, setRoom, setTopic, toString`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### leadingExam

    protected LeadingExam leadingExam

### period

    protected Period period

Constructor Detail

### FollowingExam

    public FollowingExam()

Method Detail

### getLeadingExam

    public LeadingExam getLeadingExam()

### setLeadingExam

    public void setLeadingExam(LeadingExam leadingExam)

### getPeriod

    public Period getPeriod()

  Specified by:
    `getPeriod` in class `Exam`

### setPeriod

    public void setPeriod(Period period)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.